Package org.apache.sling.feature.cpconverter.handlers

## Class DefaultHandler

- java.lang.Object
- - org.apache.sling.feature.cpconverter.handlers.DefaultHandler

All Implemented Interfaces:
  `EntryHandler`

    public class DefaultHandler
    extends Object
    implements EntryHandler

### Constructor Summary

Constructors
`DefaultHandler​(@NotNull VaultPackageAssembler mainPackageAssembler, boolean removeInstallHooks)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handle​(@NotNull String path, @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive, org.apache.jackrabbit.vault.fs.io.Archive.Entry entry, @NotNull ContentPackage2FeatureModelConverter converter, String runMode)`
`boolean` `matches​(@NotNull String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.feature.cpconverter.handlers.EntryHandler

`handle, withConfig`

### Constructor Detail

#### DefaultHandler

    public DefaultHandler​(@NotNull
                          @NotNull VaultPackageAssembler mainPackageAssembler,
                          boolean removeInstallHooks)

### Method Detail

#### matches

    public boolean matches​(@NotNull
                           @NotNull String path)

Specified by:
  `matches` in interface `EntryHandler`

#### handle

    public void handle​(@NotNull
                       @NotNull String path,
                       @NotNull
                       @NotNull org.apache.jackrabbit.vault.fs.io.Archive archive,
                       @NotNull
                       org.apache.jackrabbit.vault.fs.io.Archive.Entry entry,
                       @NotNull
                       @NotNull ContentPackage2FeatureModelConverter converter,
                       String runMode)
                throws IOException

Specified by:
  `handle` in interface `EntryHandler`
Throws:
  `IOException`